> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dexutils.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Token OHLCV

> Retrieve historical OHLCV (Open, High, Low, Close, Volume) candlestick data for a token over a specified time period and interval. It gives 1,000 candles data.

```http theme={null}
GET /tokens/{address}/ohlcv
```

### Path Parameters

<ParamField path="address" type="string" required>
  Token contract address.
</ParamField>

### **Query Parameters**

<ParamField query="chain" type="string" required>
  Blockchain network where the token is deployed.
</ParamField>

<ParamField query="resolution" type="string" required>
  Blockchain network where the token is deployed.

  Available values: `15s` ,`30s` `1m` , `5m` ,`15m` `1h` `12h`, `1d`
</ParamField>

<ParamField query="before_timestamp" type="integer">
  Return data before the specified Unix timestamp. If omitted or `null`, the latest candlestick data is returned.

  Default: `null`
</ParamField>

### Code Examples

<CodeGroup>
  ```bash cURL theme={null}
  # Replace with your actual API key from the DEXUtils platform
  curl "https://api.dexutils.io/tokens/0x6982508145454ce325ddbe47a25d4ec3d2311933/ohlcv?chain=ethereum&resolution=1h" \
    -H "API-KEY: apikey"
  ```

  ```python Python theme={null}
  import requests

  # Replace with your actual API key from the DEXUtils platform
  address = "0x6982508145454ce325ddbe47a25d4ec3d2311933"
  url = f"https://api.dexutils.io/tokens/{address}/ohlcv"
  headers = {"API-KEY": "apikey"}
  params = {
  	"chain": "ethereum",
  	"resolution": "1h",
  }

  response = requests.get(url, headers=headers, params=params)
  res = response.json()
  ```
</CodeGroup>

***

### **Response Fields**

<ResponseField name="timstamp" type="integer">
  Unix timestamp representing the start of the candlestick interval.
</ResponseField>

<ResponseField name="open" type="float">
  Token price at the beginning of the interval.
</ResponseField>

<ResponseField name="high" type="float">
  Highest token price during the interval.
</ResponseField>

<ResponseField name="low" type="float">
  Lowest token price during the interval.
</ResponseField>

<ResponseField name="close" type="float">
  Token price at the end of the interval.
</ResponseField>

<ResponseField name="volume" type="float">
  Total trading volume during the interval.
</ResponseField>

### Example Response

```json Example Response theme={null}
[
    {
        "timestamp": 1785744000,
        "open": 2.83190820642341e-06,
        "high": 2.83336638083722e-06,
        "low": 2.83190820642341e-06,
        "close": 2.83235261593938e-06,
        "volume": 4286.062493657336
    },
    {
        "timestamp": 1785740400,
        "open": 2.84337818881315e-06,
        "high": 2.84337818881315e-06,
        "low": 2.81569247207242e-06,
        "close": 2.83190820642341e-06,
        "volume": 4233.710413095053
    },
    {
        "timestamp": 1785736800,
        "open": 2.86569744599904e-06,
        "high": 2.86665146313131e-06,
        "low": 2.83578259525623e-06,
        "close": 2.84337818881315e-06,
        "volume": 16433.848070939883
    },
    {
        "timestamp": 1785733200,
        "open": 2.87132553355286e-06,
        "high": 2.87132553355286e-06,
        "low": 2.8461467011669e-06,
        "close": 2.86569744599904e-06,
        "volume": 3991.5537428252424
    },
    {
        "timestamp": 1785729600,
        "open": 2.85015586708467e-06,
        "high": 2.87132553355286e-06,
        "low": 2.84787249784027e-06,
        "close": 2.87132553355286e-06,
        "volume": 293.207152795996
    },
    {
        "timestamp": 1785726000,
        "open": 2.87434472074558e-06,
        "high": 2.87514409255136e-06,
        "low": 2.85015586708467e-06,
        "close": 2.85015586708467e-06,
        "volume": 2763.0149795653483
    },
    {
        "timestamp": 1785722400,
        "open": 2.86403002242753e-06,
        "high": 2.88509794070056e-06,
        "low": 2.85999531548914e-06,
        "close": 2.87434472074558e-06,
        "volume": 7294.222435278322
    },
    {
        "timestamp": 1785718800,
        "open": 2.87727308670744e-06,
        "high": 2.89471847680644e-06,
        "low": 2.86403002242753e-06,
        "close": 2.86403002242753e-06,
        "volume": 5721.563202290917
    },
    {
        "timestamp": 1785715200,
        "open": 2.91186454441027e-06,
        "high": 2.91186454441027e-06,
        "low": 2.87727308670744e-06,
        "close": 2.87727308670744e-06,
        "volume": 1393.7978120135613
    },
    {
        "timestamp": 1785711600,
        "open": 2.90005423339443e-06,
        "high": 2.91291208354465e-06,
        "low": 2.88874840642499e-06,
        "close": 2.91186454441027e-06,
        "volume": 23604.553898688217
    }
]
```
